function fig = PlotStatistics(maxrz,stdrz,k_p,N_j,v,jn,t,rz,titletext,saveAsPs)



for xr = 1:N_j
%if x_d(xr) == xpos;   %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% r_z Bar- Chart, making of vectors:
n_bars = 100;
r_z_bar = sort(maxrz(:,xr,v));
r_z_bar_min = r_z_bar(1); r_z_bar_max = r_z_bar(jn); delta_r_z_bar = (r_z_bar_max-r_z_bar_min)/n_bars;
r_z_val = zeros(1,n_bars);
r_z_count = zeros(1,n_bars);
    count = 1;
    for k = 1:min(n_bars,jn);
for js = 1:length(r_z_bar)
    if r_z_bar(js) > r_z_bar_min + delta_r_z_bar*(k-1) && r_z_bar(js) <= r_z_bar_min + delta_r_z_bar*(k)
        count = count + 1;     
    end 
end
        r_z_count(k) = count;
        r_z_val(k) = (r_z_bar_min+delta_r_z_bar*(k-0.5));
        count = 0;
    end



% \sigma Bar- Chart, making of vectors:
std_bar = sort(stdrz(:,xr,v));
std_bar_min = std_bar(1); std_bar_max = std_bar(jn); delta_std_bar = (std_bar_max-std_bar_min)/n_bars;
std_val = zeros(1,n_bars);
std_count = zeros(1,n_bars);

    count = 1;
    for k = 1:min(n_bars,jn);
for js = 1:length(std_bar)
    if std_bar(js) > std_bar_min + delta_std_bar*(k-1) && std_bar(js) <= std_bar_min + delta_std_bar*(k)
        count = count + 1;     
    end 
end
        std_count(k) = count;
        std_val(k) = (std_bar_min+delta_std_bar*(k-0.5));
        count = 0;
    end

% k_p Bar- Chart, making of vectors:
k_p_bar = sort(k_p(:,xr,v));
k_p_bar_min = k_p_bar(1); k_p_bar_max = k_p_bar(jn); delta_k_p_bar = (k_p_bar_max-k_p_bar_min)/n_bars;
k_p_val = zeros(1,n_bars);
k_p_count = zeros(1,n_bars);

    count = 1;
    for k = 1:min(n_bars,jn);
for j = 1:length(k_p_bar)
    if k_p_bar(j) > k_p_bar_min + delta_k_p_bar*(k-1) && k_p_bar(j) <= k_p_bar_min + delta_k_p_bar*(k)
        count = count + 1;     
    end 
end
        k_p_count(k) = count;
        k_p_val(k) = (k_p_bar_min+delta_k_p_bar*(k-0.5));
        count = 0;
    end


n_norm = length(r_z_bar);   norm_x_min = 0.75*r_z_bar(1);       norm_x_max = 1.25*r_z_bar(end);
d_norm_x = (norm_x_max-norm_x_min)/(n_norm-1);   norm_x = norm_x_min:d_norm_x:norm_x_max;
norm_rz = normpdf(norm_x, mean(r_z_bar),std(r_z_bar)); 

n_norm_std = length(std_bar);   norm_x_min_std = 0.75*std_bar(1);   norm_x_max_std = 1.25*std_bar(end);
d_norm_x_std = (norm_x_max_std-norm_x_min_std)/(n_norm_std-1);      norm_x_std = norm_x_min_std:d_norm_x_std:norm_x_max_std;
norm_std = normpdf(norm_x_std, mean(std_bar),std(std_bar));

n_norm_kp = length(k_p_bar);   norm_x_min_kp = 0.75*k_p_bar(1);   norm_x_max_kp = 1.25*k_p_bar(end);
d_norm_x_kp = (norm_x_max_kp-norm_x_min_kp)/(n_norm_kp-1);    norm_x_kp = norm_x_min_kp:d_norm_x_kp:norm_x_max_kp;
norm_kp = normpdf(norm_x_kp, mean(k_p_bar),std(k_p_bar));
minvalrz = -1.15*max(abs(maxrz(:,xr,v))); maxvalrz =  1.2*max(abs(maxrz(:,xr,v)));
pm =    [0.07, 0.55, 0.4, 0.35;
        0.55, 0.55, 0.4, 0.35;
        0.07, 0.10, 0.4, 0.35;
        0.55, 0.10, 0.4, 0.35];


fig = figure;
   FigProperties(fig)
subfig = subplot(2,2,1);
set(subfig, 'position', pm(1,:))
hold on;
for js = 2:jn
p1 = plot(t,real(rz(js,:,xr,v)));
set(p1,'Color','red','LineWidth',0.2)
end
p = plot(t,real(rz(1,:,xr,v)));
set(p,'Color','blue','LineWidth',2)
axis([0 600 minvalrz maxvalrz]);
hTitle = title(titletext,'HorizontalAlignment','left');
hXLabel = xlabel('Time [s]');
hYLabel = ylabel('$$r_{z} $$    [m]');
SubPlotProperties(subfig,hXLabel, hYLabel);
SubPlotTitleProperties(subfig, hTitle);
hold off
str1=['' num2str(jn) '  time domain simulations of $r_{z}$ '];
text(50,0.88*maxvalrz,str1,'interpreter','latex','FontName','Times','FontSize',16);
hLegend = legend([p1,p],'999 simulations', '1 simulation','Location','SouthEast');

r_z_count_norm = r_z_count/(delta_r_z_bar*sum(r_z_count));
maxrzbar_x = 1.1*max(max(r_z_count_norm),max(norm_rz)); minrzbar_y = 0.92*min(min(r_z_val),0.91*min(r_z_bar)); maxrzbar_y = 1.01*max(max(r_z_val),1.001*max(r_z_bar));

subfig = subplot(2,2,2);
set(subfig, 'position', pm(2,:))
hold on
bar1 = barh(r_z_val,r_z_count_norm,1);
stp1 = plot(norm_rz,norm_x);
set(stp1,'Color','red','LineWidth',2)
%fit1 = histfit(norm_rz,100,'normal');
axis([0 maxrzbar_x minrzbar_y maxrzbar_y]);
hXLabel = xlabel('Normalized probability of occurence');
hYLabel = ylabel('$$|r_{z}|_{ max} $$    [m]');
SubPlotProperties(subfig,hXLabel, hYLabel);
SubPlotTitleProperties(subfig, hTitle);
hold off
str2=['Max value of $r_{z}$'];
text(0.35*maxrzbar_x,0.95*maxrzbar_y,str2,'interpreter','latex','FontName','Times','FontSize',16);
hLegend = legend([bar1,stp1],'Data from simulations', 'Normal distribution','Location','SouthEast');

std_count_norm = std_count/(delta_std_bar*sum(std_count));
maxstdbar_x = 1.05*max(max(std_count_norm),max(norm_std)); minstdbar_y = 0.99*min(min(std_val),0.99*min(std_bar)); maxstdbar_y = 1.02*max(max(std_val),1.02*max(std_bar));
subfig = subplot(2,2,3);
set(subfig, 'position', pm(3,:))
hold on
bar2 = barh(std_val,std_count_norm,1);
stp2 = plot(norm_std,norm_x_std);
set(stp2,'Color','red','LineWidth',2)
axis([0 maxstdbar_x minstdbar_y maxstdbar_y]);
hXLabel = xlabel('Normalized probability of occurence');
hYLabel = ylabel('$$\sigma_{r_{z}} $$    [m]');
SubPlotProperties(subfig,hXLabel, hYLabel);
SubPlotTitleProperties(subfig, hTitle);
hold off
str3=['Standard deviation of $r_{z}$'];
text(0.35*maxstdbar_x,0.97*maxstdbar_y,str3,'interpreter','latex','FontName','Times','FontSize',16);
hLegend = legend([bar2,stp2],'Data from simulations', 'Normal distribution','Location','SouthEast');


k_p_count_norm = k_p_count/(delta_k_p_bar*sum(k_p_count));
maxkpbar_x = 1.05*max(max(k_p_count_norm),max(norm_kp)); minkpbar_y = 0.82*min(min(k_p_val),0.99*min(k_p_bar)); maxkpbar_y = 1.005*max(max(k_p_val),1.01*max(k_p_bar));
subfig = subplot(2,2,4);
set(subfig, 'position', pm(4,:))
hold on
bar3 = barh(k_p_val,k_p_count_norm,1);
stp3 = plot(norm_kp,norm_x_kp);
set(stp3,'Color','red','LineWidth',2)
axis([0 maxkpbar_x minkpbar_y maxkpbar_y]);
hXLabel = xlabel('Normalized probability of occurence');
hYLabel = ylabel('$$k_{p}$$');
SubPlotProperties(subfig,hXLabel, hYLabel);
SubPlotTitleProperties(subfig, hTitle);
hold off
str4=['Peak factor of $r_{z}$'];
text(0.35*maxkpbar_x,0.95*maxkpbar_y,str4,'interpreter','latex','FontName','Times','FontSize',16);
hLegend = legend([bar3,stp3],'Data from simulations', 'Normal distribution','Location','SouthEast');
screen2png(saveAsPs);


%end  %%%
end  %%%
end