function fig = PlotTimeSeriesRd(t,rz,maxrz,stdrz,k_p,TotCaseNr,jn,xr,x_d,v,titletextTS)

maxy = 1.25*max(max(maxrz(1:min(jn,12),xr,v)));
fig = figure;
for j=1:min(jn,12)
    h1 = maxrz(j,xr,v);
    h2 = stdrz(j,xr,v); 
    h3 = k_p(j,xr,v);
   
subfig = subplot(4,3,j);
plot(t,rz(j,:,xr,v))
SubfigProperties(subfig);
axis([0 600 -maxy maxy]);
str1=['r_{d, max} = {' num2str(round(1000*h1)/1000) '} m'];
str2=['\sigma_{rd} = {' num2str(round(1000*h2)/1000) '} m'];
str3=['k_{p} = {' num2str(round(1000*h3)/1000) '}'];

if j<10
text(320,0.77*maxy,str1);
text(20,-1.25*maxy,str2);
text(320,-1.25*maxy,str3);
else
text(320,0.77*maxy,str1);
text(20,-0.77*maxy,str2);
text(320,-0.77*maxy,str3);  
end

if j==1 || j==4 || j==7 || j==10
hYLabel = ylabel('$$r_{d} (m/s)$$');
hYLabelProperties(hYLabel);
end
if j==2
    hTitle = title(titletextTS);
    SubPlotTitleProperties(subfig, hTitle);
end
if j==10 || j==11 || j==12
hXLabel = xlabel('Time (s)');
hXLabelProperties(hXLabel);
else
    set(gca,'XTick',[]);
    
end
end
FigProperties(fig)
screen2png(['MatLabOutPutFiles\TimeSerie_rdCase' num2str(TotCaseNr) ' atXpos' num2str(floor(x_d(xr))) '']);

 
end
   